[build-system]
requires  = [
    "hatchling"
]
build-backend = "hatchling.build"

[project]
name = "alarsync"
version = "0.1"
description = "Rsync wrapper for Alanas"
readme = "README.md"
authors = [
    {name = "Louis Rannou", email = "louis.rannou@example.com"},
]
requires-python = ">=3.11"
classifiers = [
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: MIT License",
    "Operating System :: OS Independent",
    "Intended Audience :: Information Technology",
]
# dependencies = [""]

[project.urls]
Homepage = "https://gitlab.com/Louson-public/personal/alanas/alarsync"

[project.optional-dependencies]
lint = [
    "flake8>=3.5.0",
    "flake8-simplify",
]
test = [
    "pytest>=4.6"
]

[project.scripts]
alarsync = "alarsync.__main__:entrypoint"
